io.undertow.attribute

## Class ExchangeAttributes

- java.lang.Object
- - io.undertow.attribute.ExchangeAttributes

    public class ExchangeAttributes
    extends Object

Utility class for retrieving exchange attributes

Author:
  Stuart Douglas

### Method Summary

All Methods Static Methods Concrete Methods
`static ExchangeAttribute` `authenticationType()`
`static ExchangeAttribute` `bytesSent(boolean dashIfZero)`
`static ExchangeAttribute` `constant(String value)`
`static ExchangeAttribute` `cookie(String cookieName)`
`static ExchangeAttribute` `dateTime()`
`static ExchangeAttribute` `localIp()`
`static ExchangeAttribute` `localPort()`
`static ExchangeAttribute` `localServerName()`
`static ExchangeAttributeParser` `parser(ClassLoader classLoader)`
`static ExchangeAttributeParser` `parser(ClassLoader classLoader, ExchangeAttributeWrapper... wrappers)`
`static ExchangeAttribute` `queryString()`
`static ExchangeAttribute` `relativePath()`
`static ExchangeAttribute` `remoteIp()`
`static ExchangeAttribute` `remoteObfuscatedIp()`
`static ExchangeAttribute` `remoteUser()`
`static ExchangeAttribute` `requestHeader(HttpString header)`
`static ExchangeAttribute` `requestList()`
`static ExchangeAttribute` `requestMethod()`
`static ExchangeAttribute` `requestProtocol()`
`static ExchangeAttribute` `requestURL()`
`static String` `resolve(HttpServerExchange exchange, ExchangeAttribute[] attributes)`
`static ExchangeAttribute` `responseCode()`
`static ExchangeAttribute` `responseHeader(HttpString header)`
`static ExchangeAttribute` `responseReasonPhrase()`
`static ExchangeAttribute` `threadName()`
`static ExchangeAttribute` `transportProtocol()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parser

    public static ExchangeAttributeParser parser(ClassLoader classLoader)

#### parser

    public static ExchangeAttributeParser parser(ClassLoader classLoader,
                                                 ExchangeAttributeWrapper... wrappers)

#### cookie

    public static ExchangeAttribute cookie(String cookieName)

#### bytesSent

    public static ExchangeAttribute bytesSent(boolean dashIfZero)

#### dateTime

    public static ExchangeAttribute dateTime()

#### localIp

    public static ExchangeAttribute localIp()

#### localPort

    public static ExchangeAttribute localPort()

#### localServerName

    public static ExchangeAttribute localServerName()

#### queryString

    public static ExchangeAttribute queryString()

#### relativePath

    public static ExchangeAttribute relativePath()

#### remoteIp

    public static ExchangeAttribute remoteIp()

#### remoteObfuscatedIp

    public static ExchangeAttribute remoteObfuscatedIp()

#### remoteUser

    public static ExchangeAttribute remoteUser()

#### requestHeader

    public static ExchangeAttribute requestHeader(HttpString header)

#### requestList

    public static ExchangeAttribute requestList()

#### requestMethod

    public static ExchangeAttribute requestMethod()

#### requestProtocol

    public static ExchangeAttribute requestProtocol()

#### requestURL

    public static ExchangeAttribute requestURL()

#### responseCode

    public static ExchangeAttribute responseCode()

#### responseReasonPhrase

    public static ExchangeAttribute responseReasonPhrase()

#### responseHeader

    public static ExchangeAttribute responseHeader(HttpString header)

#### transportProtocol

    public static ExchangeAttribute transportProtocol()

#### threadName

    public static ExchangeAttribute threadName()

#### constant

    public static ExchangeAttribute constant(String value)

#### resolve

    public static String resolve(HttpServerExchange exchange,
                                 ExchangeAttribute[] attributes)

#### authenticationType

    public static ExchangeAttribute authenticationType()